c iread1_but_skip_comment

      subroutine iread1_but_skip_comment (iunit,n,x)

c to read in a integer
c while skipping potential comment lines starting with the character '#'

c INPUT: n             = not used; must be 1
c        iunit         = unit number where data is read from

c OUTPUT: x            = integer read from unit iunit
 
c subroutines called:
c NONE

      common /vocal/ ivocal

      character*1 comment
      integer x
 
      if (n.ne.1) then
         print*,'iread1_but_skip_comment: n is ', n, ' expected 1'
         stop
      endif

    1 read (iunit,'(a1)',end=999,err=998) comment
      if (comment.eq.'#') goto 1
      backspace (iunit)
      read (iunit,*,end=999,err=998) x
 
      return

999   print*,'End of file reached on unit ',iunit
      stop '(iread1_but_skip_comment)'

998   print*,'Wrong data type on unit ',iunit
      stop '(iread1_but_skip_comment)'

      end
